=== debian/changelog ===
gnuplot (6.0.0+dfsg1-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:16:36 +0000

gnuplot (6.0.0+dfsg1-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:29:42 +0000

gnuplot (6.0.0+dfsg1-1ubuntu1) noble; urgency=medium

  * Fix a memory error in doc2tex when generating PDF files (LP: #2057714).

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 12 Mar 2024 17:39:14 -0600

gnuplot (6.0.0+dfsg1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:46:55 +0000

gnuplot (6.0.0+dfsg1-1) unstable; urgency=medium

  * [c4752fd] New upstream version 6.0.0+dfsg1
  * [dbf032e] Update patches
  * [593d5f1] Use secure URI in Homepage field.
  * [dc1938a] Update standards version to 4.6.2, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Feb 2024 21:13:03 +0100
