## gnuplot 6.0.2%2Bdfsg1

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// https://sf.net/gnuplot/gnuplot-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
