=== debian/changelog ===
gnuplot (6.0.2+dfsg1-2ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2025-3359.patch: Refactor font name parsing to
      prevent off by one error
    - debian/patches/CVE-2025-31176.patch: Add extra guard to prevent
      invalid read from plot->labels
    - debian/patches/CVE-2025-31178.patch: Use snprintf to protect
      against garbage user-supplied mouse format
    - debian/patches/CVE-2025-31179.patch: Add guard against trying to
      format a huge number as a time
    - debian/patches/CVE-2025-31180.patch: Handle nonlinear x2 or y2 axis
      with an incomplete definition
    - debian/patches/CVE-2025-31181.patch: Protect against double fclose()
      if two errors occur in a row
    - CVE-2025-3359
    - CVE-2025-31176
    - CVE-2025-31178
    - CVE-2025-31179
    - CVE-2025-31180
    - CVE-2025-31181
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2025-31177.patch: Add extra guard against y
      bound of dumb terminal charcell array
    - CVE-2025-31177

 -- Bruce Cable <bruce.cable@canonical.com>  Tue, 02 Sep 2025 19:27:10 +1000

gnuplot (6.0.2+dfsg1-2) unstable; urgency=medium

  * Team upload
  * The emacs dependency can be provided by both emacs-nox and emacs

    emacs-nox is the default, but any other flavor would work too.
    (Closes: #1024630)

 -- Dima Kogan <dkogan@debian.org>  Sat, 07 Jun 2025 00:39:00 -0700

gnuplot (6.0.2+dfsg1-1) unstable; urgency=medium

  * [5f60ec1] New upstream version 6.0.2+dfsg1. (Closes: #1064982).
  * [abe98eb] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Thu, 26 Dec 2024 22:06:51 +0100

gnuplot (6.0.0+dfsg1-3) unstable; urgency=medium

  * Team upload
  * Added "nox-only" profile to allow an arch-any build without qt or wxt
    dependencies. (Closes: #1067582)

 -- Dima Kogan <dkogan@debian.org>  Wed, 03 Apr 2024 13:29:20 -0700

gnuplot (6.0.0+dfsg1-2) unstable; urgency=medium

  [ Zixing Liu ]
  * [b9f2408] Fix a memory error in doc2tex when generating PDF files

  [ Anton Gladky ]
  * [6a963da] Remove duplicated dependency

 -- Anton Gladky <gladk@debian.org>  Wed, 13 Mar 2024 21:48:47 +0100
