=== debian/control ===
--- 
+++ 
@@ -14,29 +14,28 @@
                liblua5.1-0-dev,
                libpango1.0-dev,
                libpng-dev,
-               qtbase5-dev,
-               qtbase5-dev-tools,
-               qttools5-dev-tools,
-               libqt5svg5-dev,
-               libx11-dev,
-               libxt-dev,
+               qtbase5-dev <!nox-only>,
+               qtbase5-dev-tools <!nox-only>,
+               qttools5-dev-tools <!nox-only>,
+               libqt5svg5-dev <!nox-only>,
+               libx11-dev <!nox-only>,
+               libxt-dev <!nox-only>,
                pkg-config,
-               libwxgtk3.2-dev,
-               libwxgtk3.2-dev,
+               libwxgtk3.2-dev <!nox-only>,
                zlib1g-dev
-Build-Depends-Indep: latex2html,
-                     texinfo,
-                     texlive-fonts-recommended,
-                     texlive-font-utils,
-                     texlive-latex-base,
-                     texlive-latex-extra,
-                     texlive-latex-recommended,
-                     texlive-science,
-                     texlive-xetex,
-                     texlive-fonts-extra,
-                     fonts-freefont-ttf,
-                     fonts-freefont-otf,
-                     emacs-nox
+Build-Depends-Indep: latex2html <!nox-only>,
+                     texinfo <!nox-only>,
+                     texlive-fonts-recommended <!nox-only>,
+                     texlive-font-utils <!nox-only>,
+                     texlive-latex-base <!nox-only>,
+                     texlive-latex-extra <!nox-only>,
+                     texlive-latex-recommended <!nox-only>,
+                     texlive-science <!nox-only>,
+                     texlive-xetex <!nox-only>,
+                     texlive-fonts-extra <!nox-only>,
+                     fonts-freefont-ttf <!nox-only>,
+                     fonts-freefont-otf <!nox-only>,
+                     emacs-nox <!nox-only> | emacs <!nox-only>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/gnuplot
 Vcs-Git: https://salsa.debian.org/science-team/gnuplot.git
@@ -62,6 +61,7 @@
 
 Package: gnuplot-doc
 Architecture: all
+Build-Profiles: <!nox-only>
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
@@ -103,6 +103,7 @@
 
 Package: gnuplot-qt
 Architecture: any
+Build-Profiles: <!nox-only>
 Depends: gnuplot-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -131,6 +132,7 @@
 
 Package: gnuplot-x11
 Architecture: any
+Build-Profiles: <!nox-only>
 Depends: gnuplot-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
